Bug 1985711 - Registry image input isn't trimming at the start of input [NEEDINFO]
Summary: Registry image input isn't trimming at the start of input
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.9
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.9.0
Assignee: Matan Schatzman
QA Contact: YaoJinbo
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-25 07:17 UTC by Matan Schatzman
Modified: 2021-10-18 17:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:40:56 UTC
Target Upstream Version:
gouyang: needinfo? (mschatzm)


Attachments (Terms of Use)
error message (82.77 KB, image/png)
2021-07-25 07:17 UTC, Matan Schatzman
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9613 0 None open Bug 1985711: Trimming whitespaces at container image input 2021-07-25 07:54:27 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:41:15 UTC

Description Matan Schatzman 2021-07-25 07:17:33 UTC
Created attachment 1805387 [details]
error message

Description of problem:
Image input isn't trimming spaces at the begging of the text

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1.Start a VM wizard
2.Select a template and click next
3.Select boot source of import via registry
4.Try to enter a space at the beginning of the container image input

Actual results:
Show error message

Expected results:
Trim the unneeded spaces

Additional info:

Comment 2 Guohua Ouyang 2021-08-12 06:25:22 UTC
It's fixed for the 'import via registry', but not 'import via URL'.

Matan, can we do this to URL as well?

Comment 3 YaoJinbo 2021-08-19 09:33:14 UTC
Reproduced on OCP 4.8 and verified on latest master.Image input trim the unneeded spaces

1.Start a VM wizard and select a template
2.Select boot source of import via registry
3.Enter a space at the beginning of the container image input

Image input trim spaces at the begging of the text.

Comment 6 errata-xmlrpc 2021-10-18 17:40:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.